Subject: Re: [PATCH wip-gnome v4 3/8] gnu: gtkmm: Add missing native-input and correct propagated-inputs

From: Raghav Gururajan <[email-masked]>
Date: Fri, 7 May 2021 13:25:05 -0400

Hi Mark, Leo and Tobias:

>>> I tried dirty hack of patching meson.build of gtkmm, to refer to latest 
>>
>>> versions of cairomm, atkmm, pangomm. Though, 'configure phase passes, 

>>> 'build phase fails with *numerous* errors.
>>>
>>> If I de-propagate those inputs, packages that depends on gtkmm via 
>>> pkg-config, gonna barf "gtkmm not found".
>>>
>>> Do you have any ideas?
>>
>> Libsigc++, glibmm, cairomm, pangomm and atkmm; play well with each 
>> other's latest stable version. The gtkmm is the only outlier.
>>
>> So I think we can either de-propagate inputs in gtkmm or use the patch 

>> as-is; and revert changes when new gtkmm version is released.
>>
>> WDYT?
> 
> I just realized packages that depend on gtkmm, doesn't propagate it. So 

> only way gtkmm, ends up in user-profiles is when explicitly installed. 
> Thus conflicts doesn't happen while building profiles right?

After this 
(https://mail.gnome.org/archives/gtkmm-list/2021-May/msg00000.html), 
what do you think of following plan?

[1] Temporarily have the gtkmm patch as-is in c-u
[2] package gtk (v4)
[3] rename gtkmm to gtkmm-3
[4] package gtkmm (v4).

So at the end these steps, glibmm, cairomm, pangomm, atkmm and gtkmm can 
exist in same profile without conflicts.

Regards,
RG.